ram-0.19.0: memory and related abstraction stuff

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Memory.ExtendedWords

Description

Extra Word size

Synopsis

- data Word128 = Word128 !Word64 !Word64

# Documentation

data Word128 Source #

A simple Extended Word128 composed of 2 Word64

Constructors

Word128 !Word64 !Word64 |

#### Instances

Instances details

Show Word128 Source # |
Instance details Defined in Data.Memory.ExtendedWords Methods showsPrec :: Int -> Word128 -> ShowS Source # show :: Word128 -> String Source # showList :: [Word128] -> ShowS Source #
Eq Word128 Source # |
Instance details Defined in Data.Memory.ExtendedWords Methods (==) :: Word128 -> Word128 -> Bool Source # (/=) :: Word128 -> Word128 -> Bool Source #